<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnServiceCallOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'serviceName' => array(
                    'id' => 'serviceName',
                                        'value' => 'LinkContactToOpp',
                                    ),
            ),
            'outDataPorts' => array(
                'service' => array(
                    'id' => 'service',
                                        'value' => 'LinkContactToOpp',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetServiceParametersOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'service' => array(
                    'id' => 'service',
                                        'value' => 'LinkContactToOpp',
                                    ),
            ),
            'outDataPorts' => array(
                'parameters0' => array(
                    'id' => 'parameters0',
                                        'value' => 'contact_lastname',
                                        'section' => 'parameters',
                ),
                'parameters1' => array(
                    'id' => 'parameters1',
                                        'value' => 'contact_firstname',
                                        'section' => 'parameters',
                ),
                'parameters2' => array(
                    'id' => 'parameters2',
                                        'value' => 'opp_name',
                                        'section' => 'parameters',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'last_name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'first_name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Opportunities',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Opportunities',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-6' => array(
            'id' => 'op-6',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-7' => array(
            'id' => 'op-7',
            'type' => 'LinkEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Opportunities',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Contacts',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Opportunities',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-2controlFlow',
            'toOperator' => 'op-2',
            'toConnector' => 'controlFlow'
        ),
        'link-2' => array(
            'from' => 'op-1service',
            'fromOperator' => 'op-1',
            'fromConnector' => 'service',
            'to' => 'op-2service',
            'toOperator' => 'op-2',
            'toConnector' => 'service'
        ),
        'link-3' => array(
            'from' => 'op-2controlFlow',
            'fromOperator' => 'op-2',
            'fromConnector' => 'controlFlow',
            'to' => 'op-3controlFlow',
            'toOperator' => 'op-3',
            'toConnector' => 'controlFlow'
        ),
        'link-4' => array(
            'from' => 'op-2parameters0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'parameters0',
            'to' => 'op-3fields0',
            'toOperator' => 'op-3',
            'toConnector' => 'fields0'
        ),
        'link-5' => array(
            'from' => 'op-2parameters1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'parameters1',
            'to' => 'op-3fields1',
            'toOperator' => 'op-3',
            'toConnector' => 'fields1'
        ),
        'link-6' => array(
            'from' => 'op-2parameters2',
            'fromOperator' => 'op-2',
            'fromConnector' => 'parameters2',
            'to' => 'op-4fields0',
            'toOperator' => 'op-4',
            'toConnector' => 'fields0'
        ),
        'link-7' => array(
            'from' => 'op-3controlFlow',
            'fromOperator' => 'op-3',
            'fromConnector' => 'controlFlow',
            'to' => 'op-4controlFlow',
            'toOperator' => 'op-4',
            'toConnector' => 'controlFlow'
        ),
        'link-9' => array(
            'from' => 'op-3entities',
            'fromOperator' => 'op-3',
            'fromConnector' => 'entities',
            'to' => 'op-5entities',
            'toOperator' => 'op-5',
            'toConnector' => 'entities'
        ),
        'link-11' => array(
            'from' => 'op-4entities',
            'fromOperator' => 'op-4',
            'fromConnector' => 'entities',
            'to' => 'op-6entities',
            'toOperator' => 'op-6',
            'toConnector' => 'entities'
        ),
        'link-15' => array(
            'from' => 'op-6entity',
            'fromOperator' => 'op-6',
            'fromConnector' => 'entity',
            'to' => 'op-7objectEntity',
            'toOperator' => 'op-7',
            'toConnector' => 'objectEntity'
        ),
        'link-16' => array(
            'from' => 'op-5entity',
            'fromOperator' => 'op-5',
            'fromConnector' => 'entity',
            'to' => 'op-7subjectEntity',
            'toOperator' => 'op-7',
            'toConnector' => 'subjectEntity'
        ),
        'link-17' => array(
            'from' => 'op-4controlFlow',
            'fromOperator' => 'op-4',
            'fromConnector' => 'controlFlow',
            'to' => 'op-6controlFlow',
            'toOperator' => 'op-6',
            'toConnector' => 'controlFlow'
        ),
        'link-18' => array(
            'from' => 'op-6controlFlowLoopBody',
            'fromOperator' => 'op-6',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-19' => array(
            'from' => 'op-5controlFlowLoopBody',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-7controlFlow',
            'toOperator' => 'op-7',
            'toConnector' => 'controlFlow'
        ),
    )
);
